# Class IllegalSceneGraphException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.media.j3d.IllegalSceneGraphException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `IllegalSharingException, SceneGraphCycleException`

public class IllegalSceneGraphException extends RuntimeException
Indicates an illegal Java 3D scene graph. For example, the following is illegal:

- A ViewPlatform node under a ViewSpecificGroup

Since:
  Java 3D 1.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalSceneGraphException()`
Create the exception object with default values.
`IllegalSceneGraphException(String str)`
Create the exception object that outputs message.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalSceneGraphException

public IllegalSceneGraphException()
Create the exception object with default values.

### IllegalSceneGraphException

public IllegalSceneGraphException(String str)
Create the exception object that outputs message.

Parameters:
  `str` - the message string to be output.